<?xml version = '1.0' encoding = 'UTF-8'?>
<Diagram class="oracle.dbtools.crest.swingui.logical.DPVLogical" name="Logical" id="DBFDEDFA-F752-AC76-CC94-BF2D99F94588">
<createdBy>Gustavo Padlipskas</createdBy>
<modifiedBy>Gustavo Padlipskas</modifiedBy>
<createdTime>2021-06-08 18:19:49 UTC</createdTime>
<autoRoute>false</autoRoute>
<boxInbox>true</boxInbox>
<showLegend>false</showLegend>
<showLabels>false</showLabels>
<showRelAttributes>false</showRelAttributes>
<gridEnabled>false</gridEnabled>
<showGrid>false</showGrid>
<diagramColor>-1</diagramColor>
<display>false</display>
<notation>2</notation>
<showAllDetails>false</showAllDetails>
<showElements>true</showElements>
<hideDetailsOnZoomOut>false</hideDetailsOnZoomOut>
<objectViews>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="083C2327-B8D4-6C3E-CD8B-50477CB9E4F4" otype="Entity" vid="3359A30A-37FC-A2D7-62B0-B13AA18F6C51">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="376" y="12" width="185" height="78"/>
</OView>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="1E711ECE-480B-7102-4556-FE54EE3A15F5" otype="Entity" vid="E9864D1A-FA20-4A80-BA9D-20EB1842448A">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="830" y="136" width="157" height="111"/>
</OView>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="299F0C04-32E8-AEBC-BF29-C8B2E6CD51CF" otype="Entity" vid="BE299939-EB2E-6933-D288-73DF800CC43A">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="82" y="475" width="254" height="129"/>
</OView>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="2A998BA1-E4B7-D948-F6B1-4F4D30EE6A58" otype="Entity" vid="9F362ECB-297C-4774-1BBC-EBF91E71F56E">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="1034" y="135" width="140" height="112"/>
</OView>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="42A69FAD-D49C-A88B-B2B1-135F8F3E3476" otype="Entity" vid="70717486-0DDD-3EED-C8B9-BC1C8257933C">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="380" y="359" width="177" height="82"/>
</OView>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="4999CB4D-BD12-E9E7-4184-5B1E0C8E26D1" otype="Entity" vid="D25F61BE-6FC4-457D-629B-5BA1C74ABDE9">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="377" y="140" width="181" height="108"/>
</OView>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="4FAC09D9-8BB5-2536-4861-5C19D387201A" otype="Entity" vid="C37DBAC9-E335-A891-605D-B529EEC480EF">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="381" y="273" width="171" height="78"/>
</OView>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="5FB675C6-2794-54C8-82A5-4C449E5874AA" otype="Entity" vid="DA880073-AED4-D3AF-98D7-0786FC99B4A8">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="606" y="140" width="160" height="107"/>
</OView>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="925A50E9-DA23-90BD-F576-8B2B1C84F5DA" otype="Entity" vid="FE36FCFD-CC3D-6F79-79F6-D348EC25ED63">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="381" y="472" width="171" height="130"/>
</OView>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="CABE9F44-7C84-7A83-9E24-E92E7CB9B3C0" otype="Entity" vid="AFBAABBE-512B-0819-78B8-6475D0F4BBA4">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="82" y="140" width="240" height="108"/>
</OView>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="D6E07728-08BF-102E-A5FA-3F4D531D4C54" otype="Entity" vid="B98AD35D-5D32-BF1E-CAE0-B9512662044D">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="77" y="296" width="254" height="123"/>
</OView>
<OView class="oracle.dbtools.crest.swingui.TVNote" oid="F4EFA865-0CA2-CEF4-ECD5-EB6177EF5516" otype="Note" vid="13D32640-8B1F-D71A-B7C1-9431715FC220">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="587" y="295" width="719" height="189"/>
<useCustomFormat>true</useCustomFormat>
<useDefaultColor>false</useDefaultColor>
<backgroundColor>-13210</backgroundColor>
<foregroundColor>-16777216</foregroundColor>
<comment>EXEMPLO DE NORMALIZAÇÃO DE ENDEREÇO COM ATRIBUTOS COMPOSTOS E MULTIVALORADO (DEPENDENDO 
DAS REGRAS DE NEGÓCIO 1 CLIENTE PODE TER N ENDEREÇOS)

TODO ATRIBUTO COMPOSTO DEVE SER ATOMIZADO PELA TÉCNICA DE DECOMPOSIÇÃO
TODA ESTRUTURA MULTIVALORADA PODE GERAR UMA OU MAIS ENTIDADES PARA EFEITO DE NORMALIZAÇÃO.

EXEMPLO:
AV. LACERDA FRANCO, 702 APTO 51 CEP 01536 000 SÃO PAULO SP AVENIDA PRÓXIMA A UBS DO CAMBUCI
</comment>
<fonts itemClass="oracle.dbtools.crest.model.design.FontObjectWr">
<FontObject>
<foType>Título</foType>
<fontSize>12</fontSize>
<fontStyle>1</fontStyle>
<colorRGB>-16777216</colorRGB>
</FontObject>
</fonts>
</OView>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="F88923B6-9D2E-6605-153E-D708E1DA9D88" otype="Entity" vid="CEA01551-9725-E3BA-A214-685E95456FBA">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="4" y="7" width="190" height="82"/>
</OView>
<OView class="oracle.dbtools.crest.swingui.logical.TVEntity" oid="FC60670B-CE00-B26D-0D19-283825C9B21A" otype="Entity" vid="D2938378-2B04-E6C8-694F-02AC66418478">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<bounds x="207" y="9" width="152" height="78"/>
</OView>
</objectViews>
<connectors>
<Connector class="oracle.dbtools.crest.swingui.logical.TVRelation" oid="013E9F40-070E-C01A-3787-21F51632C51A" otype="Relation" vid_source="D25F61BE-6FC4-457D-629B-5BA1C74ABDE9" vid_target="AFBAABBE-512B-0819-78B8-6475D0F4BBA4">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<backgroundColor>-16777216</backgroundColor>
<lineWidth>1</lineWidth>
<points>
<point x="377" y="194"/>
<point x="322" y="194"/>
</points>
</Connector>
<Connector class="oracle.dbtools.crest.swingui.logical.TVRelation" oid="03E365E9-C882-E647-7390-9BDA581E572C" otype="Relation" vid_source="D2938378-2B04-E6C8-694F-02AC66418478" vid_target="AFBAABBE-512B-0819-78B8-6475D0F4BBA4">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<backgroundColor>-16777216</backgroundColor>
<lineWidth>1</lineWidth>
<points>
<point x="264" y="87"/>
<point x="264" y="140"/>
</points>
</Connector>
<Connector class="oracle.dbtools.crest.swingui.logical.TVRelation" oid="57F22E35-028B-F225-20D0-AE9606A12DF7" otype="Relation" vid_source="CEA01551-9725-E3BA-A214-685E95456FBA" vid_target="AFBAABBE-512B-0819-78B8-6475D0F4BBA4">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<backgroundColor>-16777216</backgroundColor>
<lineWidth>1</lineWidth>
<points>
<point x="153" y="89"/>
<point x="153" y="140"/>
</points>
</Connector>
<Connector class="oracle.dbtools.crest.swingui.logical.TVRelation" oid="62498E89-61BC-A186-547D-E1622272AE20" otype="Relation" vid_source="70717486-0DDD-3EED-C8B9-BC1C8257933C" vid_target="B98AD35D-5D32-BF1E-CAE0-B9512662044D">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<backgroundColor>-16777216</backgroundColor>
<lineWidth>1</lineWidth>
<points>
<point x="380" y="389"/>
<point x="331" y="389"/>
</points>
</Connector>
<Connector class="oracle.dbtools.crest.swingui.logical.TVRelation" oid="82103F46-B725-3FD4-2DE4-C67C7108676F" otype="Relation" vid_source="AFBAABBE-512B-0819-78B8-6475D0F4BBA4" vid_target="B98AD35D-5D32-BF1E-CAE0-B9512662044D">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<backgroundColor>-16777216</backgroundColor>
<lineWidth>1</lineWidth>
<points>
<point x="217" y="248"/>
<point x="217" y="296"/>
</points>
</Connector>
<Connector class="oracle.dbtools.crest.swingui.logical.TVRelation" oid="8400E70A-93AB-93DC-06F4-08A5E06CC7A6" otype="Relation" vid_source="B98AD35D-5D32-BF1E-CAE0-B9512662044D" vid_target="BE299939-EB2E-6933-D288-73DF800CC43A">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<backgroundColor>-16777216</backgroundColor>
<lineWidth>1</lineWidth>
<points>
<point x="206" y="419"/>
<point x="206" y="475"/>
</points>
</Connector>
<Connector class="oracle.dbtools.crest.swingui.logical.TVRelation" oid="98ED58A3-62E5-0ACC-FEBE-DF5653228CC5" otype="Relation" vid_source="FE36FCFD-CC3D-6F79-79F6-D348EC25ED63" vid_target="BE299939-EB2E-6933-D288-73DF800CC43A">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<backgroundColor>-16777216</backgroundColor>
<lineWidth>1</lineWidth>
<points>
<point x="381" y="538"/>
<point x="336" y="538"/>
</points>
</Connector>
<Connector class="oracle.dbtools.crest.swingui.logical.TVRelation" oid="A23AC156-1714-A5B2-608F-F0C1E645815B" otype="Relation" vid_source="E9864D1A-FA20-4A80-BA9D-20EB1842448A" vid_target="DA880073-AED4-D3AF-98D7-0786FC99B4A8">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<backgroundColor>-16777216</backgroundColor>
<lineWidth>1</lineWidth>
<points>
<point x="830" y="193"/>
<point x="766" y="193"/>
</points>
</Connector>
<Connector class="oracle.dbtools.crest.swingui.logical.TVRelation" oid="B0D90077-8E0E-3464-50C5-C6AA70C90DD7" otype="Relation" vid_source="3359A30A-37FC-A2D7-62B0-B13AA18F6C51" vid_target="D25F61BE-6FC4-457D-629B-5BA1C74ABDE9">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<backgroundColor>-16777216</backgroundColor>
<lineWidth>1</lineWidth>
<points>
<point x="467" y="90"/>
<point x="467" y="140"/>
</points>
</Connector>
<Connector class="oracle.dbtools.crest.swingui.logical.TVRelation" oid="DEC805F4-3409-0F79-CDFA-F522616BDE05" otype="Relation" vid_source="9F362ECB-297C-4774-1BBC-EBF91E71F56E" vid_target="E9864D1A-FA20-4A80-BA9D-20EB1842448A">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<backgroundColor>-16777216</backgroundColor>
<lineWidth>1</lineWidth>
<points>
<point x="1034" y="191"/>
<point x="987" y="191"/>
</points>
</Connector>
<Connector class="oracle.dbtools.crest.swingui.logical.TVRelation" oid="E61AFE07-BE97-EECA-BE44-8D9653A3B6B0" otype="Relation" vid_source="C37DBAC9-E335-A891-605D-B529EEC480EF" vid_target="B98AD35D-5D32-BF1E-CAE0-B9512662044D">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<backgroundColor>-16777216</backgroundColor>
<lineWidth>1</lineWidth>
<points>
<point x="381" y="323"/>
<point x="331" y="323"/>
</points>
</Connector>
<Connector class="oracle.dbtools.crest.swingui.logical.TVRelation" oid="ECCE6318-9542-8C18-CB89-9A51A4A3C3EC" otype="Relation" vid_source="DA880073-AED4-D3AF-98D7-0786FC99B4A8" vid_target="D25F61BE-6FC4-457D-629B-5BA1C74ABDE9">
<hideElementsInCurrentOnly>false</hideElementsInCurrentOnly>
<backgroundColor>-16777216</backgroundColor>
<lineWidth>1</lineWidth>
<points>
<point x="606" y="193"/>
<point x="558" y="193"/>
</points>
</Connector>
</connectors>
</Diagram>